Agora Java API Reference for Android

Static Public Member Functions | Public Attributes | List of all members
io.agora.rtc2.Constants.AudioProfile Enum Reference

The audio profile. More...

## Static Public Member Functions
static int | getValue (AudioProfile type)

## Public Attributes
| DEFAULT =(Constants.AUDIO_PROFILE_DEFAULT)
| SPEECH_STANDARD =(Constants.AUDIO_PROFILE_SPEECH_STANDARD)
| MUSIC_STANDARD =(Constants.AUDIO_PROFILE_MUSIC_STANDARD)
| MUSIC_STANDARD_STEREO =(Constants.AUDIO_PROFILE_MUSIC_STANDARD_STEREO)
| MUSIC_HIGH_QUALITY =(Constants.AUDIO_PROFILE_MUSIC_HIGH_QUALITY)
| MUSIC_HIGH_QUALITY_STEREO =(Constants.AUDIO_PROFILE_MUSIC_HIGH_QUALITY_STEREO)

## Detailed Description

The audio profile.

## Member Data Documentation

## ◆ DEFAULT

io.agora.rtc2.Constants.AudioProfile.DEFAULT =(Constants.AUDIO_PROFILE_DEFAULT)

0: The default audio profile.

- For the interactive streaming profile: A sample rate of 48 kHz, music encoding, mono, and a bitrate of up to 64 Kbps.
- For the communication profile: A sample rate of 32 kHz, audio encoding, mono, and a bitrate of up to 18 Kbps.

## ◆ SPEECH_STANDARD

io.agora.rtc2.Constants.AudioProfile.SPEECH_STANDARD =(Constants.AUDIO_PROFILE_SPEECH_STANDARD)

1: A sample rate of 32 kHz, audio encoding, mono, and a bitrate of up to 18 Kbps.

## ◆ MUSIC_STANDARD

io.agora.rtc2.Constants.AudioProfile.MUSIC_STANDARD =(Constants.AUDIO_PROFILE_MUSIC_STANDARD)

2: A sample rate of 48 kHz, music encoding, mono, and a bitrate of up to 64 Kbps.

## ◆ MUSIC_STANDARD_STEREO

io.agora.rtc2.Constants.AudioProfile.MUSIC_STANDARD_STEREO =(Constants.AUDIO_PROFILE_MUSIC_STANDARD_STEREO)

3: A sample rate of 48 kHz, music encoding, stereo, and a bitrate of up to 80 Kbps. To implement stereo audio, you also need to call `setAdvancedAudioOptions` and set `audioProcessingChannels` to `AGORA_AUDIO_STEREO_PROCESSING` in `AdvancedAudioOptions`.

## ◆ MUSIC_HIGH_QUALITY

io.agora.rtc2.Constants.AudioProfile.MUSIC_HIGH_QUALITY =(Constants.AUDIO_PROFILE_MUSIC_HIGH_QUALITY)

4: A sample rate of 48 kHz, music encoding, mono, and a bitrate of up to 96 Kbps.

## ◆ MUSIC_HIGH_QUALITY_STEREO

io.agora.rtc2.Constants.AudioProfile.MUSIC_HIGH_QUALITY_STEREO =(Constants.AUDIO_PROFILE_MUSIC_HIGH_QUALITY_STEREO)

5: A sample rate of 48 kHz, music encoding, stereo, and a bitrate of up to 128 Kbps. To implement stereo audio, you also need to call `setAdvancedAudioOptions` and set `audioProcessingChannels` to `AGORA_AUDIO_STEREO_PROCESSING` in `AdvancedAudioOptions`.